import * as _evm from "@wormhole-foundation/sdk-evm";
/** Platform and protocol definitions for Evm */
const evm = {
    Address: _evm.EvmAddress,
    Platform: _evm.EvmPlatform,
    getSigner: _evm.getEvmSigner,
    protocols: {
        WormholeCore: () => import("@wormhole-foundation/sdk-evm-core"),
        TokenBridge: () => import("@wormhole-foundation/sdk-evm-tokenbridge"),
        PorticoBridge: () => import("@wormhole-foundation/sdk-evm-portico"),
        CircleBridge: () => import("@wormhole-foundation/sdk-evm-cctp"),
    },
    getChain: (n, c) => new _evm.EvmChain(c, new _evm.EvmPlatform(n)),
};
export default evm;
//# sourceMappingURL=evm.js.map